Create price list
curl --request POST \
--url https://cloud.memsource.com/web/api2/v1/priceLists \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"currencyCode": "<string>",
"name": "<string>",
"isDefault": true
}
'import requests
url = "https://cloud.memsource.com/web/api2/v1/priceLists"
payload = {
"currencyCode": "<string>",
"name": "<string>",
"isDefault": True
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({currencyCode: '<string>', name: '<string>', isDefault: true})
};
fetch('https://cloud.memsource.com/web/api2/v1/priceLists', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "<string>",
"billingUnit": "Word",
"currencyCode": "<string>",
"dateCreated": "2023-11-07T05:31:56Z",
"id": "<string>",
"isDefault": true,
"priceSets": [
{
"minimumPrice": 123,
"prices": [
{
"price": 123,
"workflowStep": {
"abbr": "<string>",
"id": "<string>",
"lqaEnabled": true,
"name": "<string>",
"order": 123,
"uid": "<string>"
}
}
],
"sourceLang": "<string>",
"targetLang": "<string>"
}
],
"uid": "<string>"
}Price List
Create price list
If isDefault is set to true, the default flag is cleared on all other price lists.
POST
/
api2
/
v1
/
priceLists
Create price list
Authorizations
ApiTokenOAuth2
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
Body
application/json
Price list to create
Request body for creating or updating a price list
Response
Created
Price list with set of prices for language pairs
Name of the price list
Billing unit for prices
Available options:
Word, Page, Character, Hour Currency code for the price list
Date the price list was created
Internal numeric identifier, encoded as a string
When true, this is the default price list for the organization
Language pairs with associated prices
Show child attributes
Show child attributes
Unique identifier used in API paths
Was this page helpful?